/// @file MObject.h
#ifndef MOBJECT_H
#define MOBJECT_H

/**
	@brief 렌더링 가능한 게임객체 추상클래스

	렌더링이 가능한 게임객체는 MObject클래스를 상속받습니다.\n
	개념적으로 MObject는 모델정보를 가지지만, 실제로는 모델타입넘버를 가집니다.
*/
class MObject {
	public:
		MObject(){}
		virtual ~MObject(){}
		virtual void load(TiXmlNode* _pXmlNode)=0; ///< 객체정보 로딩을 위한 인터페이스
		float fX;
		float fY;
		float fZ;
		int   modelType; ///< 모델타입(실제 모델클래스를 가지지는 않는다)
		bool  bShow;
};
#endif